Ciele

Add a Source to the Knowledge Library (no Collection id needed)

POST/api/v1/knowledge/sources

Requires an Organization API key with the edit capability. Supply an Idempotency-Key when retrying the same request.

AuthorizationBearer <token>

In: header

Header Parameters

Idempotency-Key?string

Reuse the same value only when retrying the same logical operation.

Request Body

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/knowledge/sources" \  -H "Content-Type: application/json" \  -d '{    "kind": "text",    "text": "string",    "assistantIds": [      "string"    ]  }'
{  "id": "string",  "collectionId": "string",  "name": "string",  "kind": "file",  "status": "error",  "createdAt": "string"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}